routes/admin.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['middleware' => ['auth']], function () {    

    Route::resource('sellers', 'Admin\SellerController');

    Route::resource('raffles', 'Admin\RaffleController');
    Route::get('raffle/{id}/clients', 'Admin\ClientController@index')->name('raffle.clients.index');
    Route::get('raffle/{id}/sellers', 'Admin\RaffleController@sellersIndex')->name('raffle.sellers.index');
    Route::post('raffle/{id}/upload/image', 'Admin\RaffleController@uploadImage')->name('raffle.upload.image');
    Route::get('raffle/{id}/clients/returns', 'Admin\ClientController@returns')->name('raffle.clients.returns');
});

routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('login', 'Auth\LoginController@showLoginForm')->name('login');
Route::post('login', 'Auth\LoginController@login');
Route::post('logout', 'Auth\LoginController@logout')->name('logout');

Route::group(['middleware' => ['auth']], function () {    
    Route::get('/', 'Admin\HomeController@index')->name('home');
    //Raffles generate
    Route::get('raffles/generate/unique/link/client', 'RaffleController@generateUniqueLink')->name('raffles.generate.unique.link.client');
    Route::get('raffles/{id}/generate/lottery', 'RaffleController@generateLottery')->name('raffles.generate.lottery');
});

resources/views/layouts/app.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta name="api-token" content ="{{ isset(Auth::user()->api_token) ? Auth::user()->api_token : null }}"/>
    <meta name="translation_common" content="{{ json_encode(__('common')) }}">
    <link rel="shortcut icon" href="{{ asset('favicon.ico') }}" />

    <title>@lang('common.platform_name')</title>
    

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Oswald:wght@300&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.3/css/bootstrap.css"/> 
    <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.20/css/dataTables.bootstrap4.min.css"/> 

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}?v=1" rel="stylesheet">
    @stack('metas')
</head>
<body>
    <div id="app">
        @include('layouts.main_menu')
        <main class="py-4">
            <div class="container">
                @yield('content')
            </div>
        </main>
    </div>
    <!-- Scripts -->    
    <!-- Jquery -->
    <script src="{{ asset('js/build/app.js') }}" defer></script>      
    <script type="text/javascript" src="https://code.jquery.com/jquery-3.5.1.js"></script>    
    <script type="text/javascript" src="https://cdn.datatables.net/1.10.25/js/jquery.dataTables.min.js" defer></script>                
    <script type="text/javascript" src="https://cdn.datatables.net/1.10.25/js/dataTables.bootstrap4.min.js" defer></script>
    @stack('scripts')
</body>
</html>

resources/views/layouts/app_public.blade.php
<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">    
    <meta name="translation_common" content="{{ json_encode(__('common')) }}">
    <link rel="shortcut icon" href="{{ asset('favicon.ico') }}" />

    <title>@lang('common.platform_name')</title>
    

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Oswald:wght@300&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.0/css/all.css" integrity="sha384-lZN37f5QGtY3VHgisS14W3ExzMWZxybE1SJSEsQp9S+oqd12jhcu+A56Ebc1zFSJ" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.3/css/bootstrap.css"/> 

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}?v=1" rel="stylesheet">
    @stack('metas')
</head>
<body>
    <div id="app">
        @include('layouts.main_menu', ['only_name_platform' => true])
        <main class="py-4">
            <div class="container">
                @yield('content')
            </div>
        </main>
    </div>
    <!-- Scripts -->    
    <!-- Jquery -->
    <script src="{{ asset('js/build/app.js') }}" defer></script>      
    <script type="text/javascript" src="https://code.jquery.com/jquery-3.5.1.js"></script>        
    @stack('scripts')
</body>
</html>

resources/views/layouts/main_menu.blade.php
<nav class="navbar navbar-expand-sm shadow-sm navbar-dark bg-dark">
    <div class="container">
        <a class="navbar-brand" href="{{ url('/') }}">
            @lang('common.platform_name')
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
            <span class="navbar-toggler-icon"></span>
        </button>

        @if (!isset($only_name_platform))
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <!-- Left Side Of Navbar -->
                <ul class="navbar-nav mr-auto">

                </ul>

                <!-- Right Side Of Navbar -->
                <ul class="navbar-nav ml-auto">
                    <!-- Authentication Links -->
                    @guest
                        <li class="nav-item">
                            <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                        </li>
                    @else                                        
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                @lang('common.menu.administration') <span class="caret"></span>
                            </a>
                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">                                                                
                                <a class="dropdown-item" href="{{ route('admin.sellers.index') }}">
                                    <i class='fas fa-ticket'></i>
                                    @lang('common.menu.sellers')
                                </a> 
                                <a class="dropdown-item" href="{{ route('admin.raffles.index') }}">
                                    <i class='fas fa-ticket'></i>
                                    @lang('common.menu.raffles')
                                </a>                                                               
                            </div>                                                              
                        </li>
                        <li class="nav-item dropdown">
                            <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                @lang('common.hello', ['name' => Auth::user()->name]) <span class="caret"></span>
                            </a>

                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                            
                                <a class="dropdown-item" href="{{ route('logout') }}"
                                onclick="event.preventDefault();
                                                document.getElementById('logout-form').submit();">
                                                <i class="fas fa-sign-out-alt"></i>
                                    {{ __('common.logout') }}
                                </a>

                                <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                    @csrf
                                </form>
                            </div>
                        </li>
                    @endguest
                </ul>
            </div>
        @endif        
    </div>
</nav>